options.h File Reference
`#include <ubuntu/visibility.h>`
`#include <ubuntu/application/operation_mode.h>`
Include dependency graph for options.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef void | UApplicationOptions
| Encapsulates options as passed to the application. More...

## Functions

UBUNTU_DLL_PUBLIC UApplicationOptions * | u_application_options_new_from_cmd_line (int argc, char **argv)
| Parses options from the command line. More...
UBUNTU_DLL_PUBLIC void | u_application_options_destroy (UApplicationOptions *options)
| Destroys the options object and releases all resources. More...
UBUNTU_DLL_PUBLIC UApplicationOperationMode | u_application_options_get_operation_mode (UApplicationOptions *options)
| Queries the operation mode from the supplied options object. More...